## org.eclipse.uml2.common.util
Class UML2Util.QualifiedTextProvider

    java.lang.Object
      org.eclipse.uml2.common.util.UML2Util.QualifiedTextProvider

Direct Known Subclasses:
  UMLUtil.QualifiedTextProvider

Enclosing class:
  UML2Util

    public abstract static class UML2Util.QualifiedTextProvider

extends java.lang.Object

The abstract parent of classes that can provide a textual representation of objects, classes, and features.

Constructor Summary
`UML2Util.QualifiedTextProvider()`

Method Summary
`java.lang.String` `getClassText(org.eclipse.emf.ecore.EObject eObject)` Retrieves a textual representation of the specified object's class.
`java.lang.String` `getFeatureText(org.eclipse.emf.ecore.EStructuralFeature eStructuralFeature)` Retrieves a textual representation of the specified structural feature.
`abstract java.lang.String` `getSeparator()` Retrieves the string used to separate segments of qualified text.
`java.lang.String` `getText(org.eclipse.emf.ecore.EObject eObject)` Retrieves a textual representation of the specified object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UML2Util.QualifiedTextProvider

    public UML2Util.QualifiedTextProvider()

Method Detail

### getText

    public java.lang.String getText(org.eclipse.emf.ecore.EObject eObject)

  Retrieves a textual representation of the specified object.

  Parameters:
    `eObject` - The object for which to retrieve text.
  Returns:
    A textual representation of the object.

### getSeparator

    public abstract java.lang.String getSeparator()

  Retrieves the string used to separate segments of qualified text.

  Returns:
    The separator to be used.

### getFeatureText

    public java.lang.String getFeatureText(org.eclipse.emf.ecore.EStructuralFeature eStructuralFeature)

  Retrieves a textual representation of the specified structural feature.

  Parameters:
    `eStructuralFeature` - The feature for which to retrieve text.
  Returns:
    A textual representation of the feature.

### getClassText

    public java.lang.String getClassText(org.eclipse.emf.ecore.EObject eObject)

  Retrieves a textual representation of the specified object's class.

  Parameters:
    `eObject` - The object for which to retrieve text.
  Returns:
    A textual representation of the object's class.

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.